Summary:	Instant messaging client 
Name:		ayttm
Version:	0.6.2
Release:	%mkrel 1
License:	GPLv2+
Group:		Networking/Instant messaging
Source:		http://downloads.sourceforge.net/project/ayttm/ayttm/%version/%name-%version.tar.bz2
Source10:	%{name}.16.png.bz2
Source11:	%{name}.32.png.bz2
Source12:	%{name}.48.png.bz2
Source20:	%{name}-puddles-smileys.tar.bz2
Patch0:		ayttm-0.6.2-fix-str-fmt.patch
Patch1:		ayttm-0.6.2-link.patch
Patch2:		ayttm-0.6.2-imagedir.patch
Obsoletes:	everybuddy
Provides:	everybuddy
URL:		http://ayttm.sourceforge.net
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	glib2-devel
BuildRequires:	gtk+2-devel
BuildRequires:	libltdl-devel
BuildRequires:	libesound-devel
BuildRequires:	gettext-devel
BuildRequires:	automake >= 1.6
BuildRequires:	libxpm-devel
BuildRequires:	libgpgme-devel >= 1.0
BuildRequires:	openssl-devel
BuildRequires:	libjasper-devel
BuildRequires:	enchant-devel
BuildRequires:	libx11-devel
BuildRequires:	libxscrnsaver-devel
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
Ayttm is designed to become a Universal Instant Messaging client
designed to seamlessly integrate all existing Instant Messaging clients and
provide a single consistant user interface. Currently, Ayttm supports
sending and receiving messages via AOL, ICQ, Yahoo, MSN, IRC and Jabber.

%prep
%setup -q -n %{name}-%{version}
%setup -q -n %{name}-%{version} -T -D -a20
%patch0 -p0
%patch1 -p0
%patch2 -p0

%build
autoreconf -fi
%configure2_5x --enable-esd --disable-arts --enable-lj \
            --enable-jasper-filter --enable-smtp --disable-static

%make

%install
%__rm -rf %{buildroot}
%makeinstall_std


mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Name=Ayttm
Comment=Universal Instant Messaging Client
Exec=%{_bindir}/ayttm
Icon=%{name}
Terminal=false
Type=Application
Categories=Network;InstantMessaging;
EOF

rm -f %buildroot%_datadir/applnk/Internet/ayttm.desktop
rm -f %buildroot%_datadir/gnome/apps/Internet/ayttm.desktop

%__mkdir -p %{buildroot}%{_iconsdir}/hicolor/{16x16,32x32,48x48}/apps
%__bzip2 -dc %{SOURCE10} > %{buildroot}%{_iconsdir}/hicolor/16x16/apps/%{name}.png
%__bzip2 -dc %{SOURCE11} > %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{name}.png
%__bzip2 -dc %{SOURCE12} > %{buildroot}%{_iconsdir}/hicolor/48x48/apps/%{name}.png

# Extra smileys
%__cp -a 'Puddles' %{buildroot}%{_datadir}/%{name}/smileys

%find_lang %{name}

%clean 
%__rm -rf %{buildroot}

%post
%if %mdkversion < 200900
%update_menus
%update_icon_cache hicolor
%endif

# Fix the paths to the modules in the prefs files...
# Note that $ has to be escaped so the shell doesn't wack 
# them.
%__perl <<EOP
while (my (@pwent) = getpwent()) {
  my \$homedir = \$pwent[7];
  my \$prefs;
  if (open PREFS, "<\$homedir/.ayttm/prefs") {
    while (<PREFS>) {
      s!%{_datadir}/%{name}/modules!%{_libdir}/%{name}!g;
      \$prefs .= \$_;
    }
    close PREFS;
    unless (rename("\$homedir/.ayttm/prefs","\$homedir/.ayttm/prefs.orig")) {
      warn "Cannot rename \$homedir/.ayttm/prefs to \$homedir/.ayttm/prefs.orig";
      next;
    }
    open PREFS, ">\$homedir/.ayttm/prefs";
    print PREFS \$prefs;
    close PREFS;
  }
}
EOP

%if %mdkversion < 200900
%postun
%clean_menus
%clean_icon_cache hicolor
%endif

%files -f %{name}.lang
%defattr (-,root,root)
%doc doc/ AUTHORS ChangeLog INSTALL README TODO ABOUT-NLS
%{_bindir}/*
%{_mandir}/man1/*
%{_datadir}/applications/mandriva-%{name}.desktop
%{_datadir}/%{name}
%{_libdir}/%{name}
%{_iconsdir}/hicolor/*/apps/%{name}.png
%config(noreplace) %{_sysconfdir}/%{name}rc



%changelog
* Wed Apr 28 2010 Funda Wang <fwang@mandriva.org> 0.6.2-1mdv2010.1
+ Revision: 540309
- drop old desktop also
- New version 0.6.2

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild
    - rebuild

* Thu Aug 07 2008 Thierry Vignaud <tv@mandriva.org> 0.5.0.45-2mdv2009.0
+ Revision: 266233
- rebuild early 2009.0 package (before pixel changes)

* Thu Jun 12 2008 Adam Williamson <awilliamson@mandriva.org> 0.5.0.45-1mdv2009.0
+ Revision: 218574
- don't package some header files that showed up in the new version
- drop unref.patch (merged upstream)
- new release 0.5.0.45

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Nov 28 2007 Adam Williamson <awilliamson@mandriva.org> 0.5.0.10-1mdv2008.1
+ Revision: 113567
- add unref patch from upstream CVS to fix build error
- drop lvalue_buildfix, noglib2 and smileys patches: replaced or made irrelevant upstream
- drop legacy icons
- drop legacy menu and X-Mandriva category
- new license policy
- spec clean
- new release 0.5.0-10 (another GTK+1 hold-out finally goes GTK+2!)

  + Thierry Vignaud <tv@mandriva.org>
    - kill desktop-file-validate's 'warning: key "Encoding" in group "Desktop Entry" is deprecated'

* Sat May 19 2007 Adam Williamson <awilliamson@mandriva.org> 0.4.7-0.20070519.1mdv2008.0
+ Revision: 28523
- enable x86-64 build
- add patch 2 (adapted from Debian) to fix smiley install
- rephrase BuildRequires to work on x86-64
- update to CVS (to fix x86-64 build issues and MSN login)

* Sat May 19 2007 Adam Williamson <awilliamson@mandriva.org> 0.4.6.17-1mdv2008.0
+ Revision: 28456
- fix some BuildRequires
- rebuild against newer libs (openssl etc) - fix #24189
- clean spec (remove a bunch of stuff relevant only for really old versions)
- 0.4.16-17

* Mon May 07 2007 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 0.4.6-4mdv2008.0
+ Revision: 24955
- Don't build for x86_64 using ExclusiveArch tag, ayttm is old and not
  updated for a long time, not porting it to build for x86_64 for now
  (currently build fails).
- Use the right BuildRequires for glib.
- Rebuild for new libjasper.
- Made patch lvalue_buildfix to fix build with our current gcc (4.1).
- Avoid linking of ayttm against glib2, disabling arts support and
  patching configure.ac with noglib2 patch. Because arts and openssl
  pass glib2 flags, ayttm builds against glib2 and segfaults when
  started.
- Migrated to XDG menu.


* Fri Jul 16 2004 Michael Scherer <misc@mandrake.org> 0.4.6-3mdk 
- rebuild for new gcc

* Wed Feb 11 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.4.6-2mdk
- Fix menu entry

* Wed Feb 11 2004 Ben Reser <ben@reser.org> 0.4.6-1mdk
- 0.4.6
- temporarily turn off sig source since they didn't make one.
- Drop patches that have been merged upstream.
- BuildRequires: libjasper-devel
- turn on the smtp and livejournal modules
- turn on jasper support now that it is free software
- drop fix for german translation fixed upstream.
- Fix menu section for 10.0.

* Mon Nov 17 2003 Ben Reser <ben@reser.org> 0.4.4-2mdk
- Add additional smiley theme puddles
- Macroize
- fixes to build on older revs of Mandrake
- BuildRequires openssl-devel for MSN and Yahoo support
- Proper path for german translation
- Patch to properly detect spellchecker
- Only need automake 1.6 or newer
- Patch to make gen use automake1.6 or newer.

* Mon Oct 27 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.4.4-1mdk
- 0.4.4

* Mon Oct 20 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.4.3-1mdk
- 0.4.3

* Mon Sep 29 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.4.2-1mdk
- 0.4.2

* Mon Aug 25 2003 Ben Reser <ben@reser.org> 0.4.0-1mdk
- 0.4.0 (Uses MSNP8 so it'll work after Oct 15th 2003)

* Sat Aug 23 2003 Ben Reser <ben@reser.org> 0.3.4-1mdk
- 0.3.4 a special release just for us Mandrake folks.  :)
  I.E. done so it would get into 9.2!

* Fri Jul 18 2003 Ben Reser <ben@reser.org> 0.3.3-2mdk
- Apply fixes Per yvind Karlsen tried to apply but were rejected
  because he applied them against 0.3.2-1mdk.
	- rm -rf $RPM_BUILD_ROOT in %%install, not %%prep
	- macroize
	- fix typo
	- don't list directories twice
- Really fix the error message in the perl script.

* Wed Jul 16 2003 Ben Reser <ben@reser.org> 0.3.3-1mdk
- 0.3.3
- Drop pspell patch, integrated upstream.
- Fix description to not mention the script dropped in
  the previous release.

* Mon Jul 07 2003 Ben Reser <ben@reser.org> 0.3.2-1mdk
- 0.3.2
- Use pspell now so drop the Requires on ispell.
- BuildRequires for libxpm-devel and libaspell-devel
- BuildRequires for automake1.7
- BuildRequires libgpgme for encryption support
- Drop script to convert everybuddy prefs to ayttm
  since there is now a built in importer.
- Patch to fix configure script to work with the 
  aspell version of pspell.

* Wed Apr 30 2003 Ben Reser <ben@reser.org> 0.3.0-1mdk
- 0.3.0
- Obsolete and Provide everybuddy
- Script to convert everybuddy prefs to ayttm
- Add gettext-devel to BuildRequires
- Remove Makefile patch to put modules in %%{_libdir},
  integrated upstream.
- Added sig for source package to SRPM.

* Thu Apr 03 2003 Ben Reser <ben@reser.org> 0.2.3-1mdk
- 0.2.3
- Add libgdk-pixbuf-devel to BuildRequires
- Change URL to sf.net URL
- Remove chat restore patch, included in 0.2.3
- merge 9.0/9.1 builds together, automatically decides 
  if xft should be enabled now.  Can override with:
  --with xft  or --without xft

* Sun Mar 09 2003 Ben Reser <ben@reser.org> 0.2.2-2mdk
- Move the modules to %%_libdir rather than %%_datadir
  to comply with FHS.
- Add script to post to fix prefs due to the change in
  path for the modules.
- Remove static library files that we don't really need.
- Enable xft
- BuildRequire freetype-devel

* Wed Feb 26 2003 Ben Reser <ben@reser.org> 0.2.2-1mdk
- 0.2.2
- Remove readprefs patch, integrated upstream.
- Add patch to fix chat restore with do_strip_html=1
  Was a bug in the released version.

* Tue Feb 11 2003 Ben Reser <ben@reser.org> 0.2.1-2mdk
- Fix description
- Fix group
- Remove unused menu files
- Make package the owner of its dir under share
- Add some missing documentation files.
- Add icons for the menu
- Use Mandrake macros for build
- Add BuildRequires/Requires
- Add some commented out stuff to the spec for easier CVS builds.
- Quiet the %%setup.
- Clean out non-Mandrake formated changelog
- Force arts and esd to be enabled so it should work right with them
  without soundwrapper!

* Mon Feb 10 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.2.1-1mdk
- new
- icon
- bzip2 patch

